Bug 546 - output format errors in nsd_munin_
output format errors in nsd_munin_
Status: RESOLVED FIXED
Product: NSD
Classification: Unclassified
Component: NSD Code
4.0.x
All Linux
: P5 trivial
Assigned To: NSD team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-19 17:14 CET by Tom Hendrikx
Modified: 2014-01-20 09:18 CET (History)
1 user (show)

See Also:


Attachments
nsd_munin_ diff (831 bytes, patch)
2014-01-19 17:14 CET, Tom Hendrikx
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Hendrikx 2014-01-19 17:14:31 CET
Created attachment 244 [details]
nsd_munin_ diff

In the munin plugin available with nsd 4.x, there are some formatting errors, making munin unable to parse and graph the data. The munin master logs errors about these, f.i.

2014/01/19 17:05:12 [WARNING] Service nsd_munin_memory on hostname.example.net/192.0.2.76:4949 returned no data for label size_rss

Attached patch fixes 5 of these.
Comment 1 Wouter Wijngaards 2014-01-20 09:18:02 CET
Hi Tom,

Committed to trunk, thank you for the fix.

Best regards, Wouter